## fo-id

fo-id —

## Synopsis

    struct      FoId;
    struct      FoIdClass;
    FoDatatype* fo_id_new                       (void);
    gchar*      fo_id_get_value                 (FoDatatype *id);
    void        fo_id_set_value                 (FoDatatype *id,
                                                 const gchar *new_value);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoId

## Properties

      "value"                gchararray           : Read / Write

## Description

## Details

### struct FoId

    struct FoId;

### struct FoIdClass

    struct FoIdClass;

### fo_id_new ()

    FoDatatype* fo_id_new                       (void);

Creates a new FoId initialized to default value.

Returns : | the new FoId

### fo_id_get_value ()

    gchar*      fo_id_get_value                 (FoDatatype *id);

`id` : |
Returns : |

### fo_id_set_value ()

    void        fo_id_set_value                 (FoDatatype *id,
                                                 const gchar *new_value);

`id` : |
`new_value` : |

## Properties

"`value`" (gchararray : Read / Write) | Id value.